php集成环境安装redis扩展的方法 ??

liuyan__ 发布于 2015/10/15 09:06
阅读 2K+
收藏 0

我的电脑是 win7系统 安装的是wampserver集成环境  在安装redis扩展后 用phpinfo() 总是出不来

具体的安装方法是  下载的 php5.4对应的redis扩展 把php_igbinary.dll和php_redis.dll放到了D:\wampserver\wamp\bin\php\php5.4.12\ext目录下   然后修改了php.ini中的参数增加extension=php_igbinary.dll和
extension=php_redis.dll(顺序php_igbinary.dll在前)

然后重启wampserver;  在运行php文件中的phpinfo();依然出现不了redis扩展

不知道是什么问题 求大神帮助


加载中
0
Tuesday
Tuesday

wamp就是缺少纠错日志, 用xampps吧, 至少出错了知道怎么回事... 

http://www.fenanr.com/fxampps/112898.html

Tuesday
Tuesday
回复 @liuyan__ : xampps, 不同的产品.
liuyan__
liuyan__
最开始时 安装xampp 没有成功 所以安装的wampserver
0
mickelfeng
mickelfeng

1、php --ini 你先找准php.ini位置,2、修改php.ini文件后,重启webserver。

mickelfeng
mickelfeng
php -m 看模块加载了吗
liuyan__
liuyan__
也重启了
liuyan__
liuyan__
找准了啊 D:\wampserver\wamp\bin\apache\Apache2.4.4\bin\php.ini
0
hphper
hphper
以cli方式运行任意一个php程序,会报出错误信息,根据这个你就差不多能发现 redis的编译工具与php的编译工具不一样,版本不兼容
hphper
hphper
回复 @liuyan__ : 我是说cli方式运行php程序,没报错吗,不管redis,只是测试php版本和redis扩展的版本是否匹配用的
liuyan__
liuyan__
以cli方式; 可以运行redis 但是用php就不行 关于redis版本我用的是PHP5.4 的 其他版本我也试过 同样不行
0
jack984
jack984

laravel5.1一个空项目,或者链接数据库,取一个表的几条记录显示出来:
用 ab -t 10 -c 10 http://127.0.0.1/laravel511/public/index.php
或 ab -n100 -c100 http://127.0.0.1/laravel511/public/index.php
得出的结果 request per time: <50

而如果换slim3 或 ci3 测试,可以达到 reququest per time : 200-300

如果不用任何框架,同样测试,则可以达到:request per time : 1300

不明白这样的情况下,还要用框架吗,项目套上框架性竟然能这么低啊。

赶脚白瞎了机器硬件啊。

0
v
vexhz

4处对应

liuyan__
liuyan__
回复 @封心 : 刚开始是5.4 安装不成功 就卸载重新安装了一个集成环境 就变成了5.6了 后来我多找了几个版本 最后解决了问题 谢了
封心
封心
回复 @liuyan__ : 你不是说你的php是5.4的吗 这怎么又弄5.6的了
liuyan__
liuyan__
这四处应的都对上了啊 可就是不行 我的是php5.6-ts- vc11-64位
0
liuyan__
liuyan__

找了两个版本的redis 都不成功

返回顶部
顶部